# Technical Items

This mod adds a few items that customized weaponry and abilities with technical items.

# Details

## Custom Clothes

| Items | Function |
| -- | -- |
| AlwaysOpenedEyes | Make eyes keep opened. |

## Right Weapon

| Items | Function |
| -- | -- |
| DoublesScaleRightWX | Increase Right weapon scale by **50%** of current X coordinate scale. |
| HalfesScaleRightWX | Decrease Right weapon scale by **50%** of current X coordinate scale. |
| DoublesScaleRightWY | Increase Right weapon scale by **50%** of current Y coordinate scale. |
| HalfesScaleRightWY | Decrease Right weapon scale by **50%** of current Y coordinate scale. |
| DoublesScaleRightWZ | Increase Right weapon scale by **50%** of current Z coordinate scale. |
| HalfesScaleRightWZ | Decrease Right weapon scale by **50%** of current Z coordinate scale. |
| DoublesScaleRightW | Increase Right weapon scale by **50%** of current scale. |
| HalfesScaleRightW | Decrease Right weapon scale by **50%** of current scale. |
| NulifyScaleRightW | Nullify the scale of the weapon by multiplying it with **0**. |
| FlipRightW | Flips Right weapon scale by multiplying weapon scale with **-1**. |
| RemoveRightWParticles | Removes Right weapons particle. |
| RemoveRightWProj | Removes Right weapons projectile. |

## Left Weapon

| Items | Function |
| -- | -- |
| DoublesScaleLeftWX | Increase Left weapon scale by **50%** of current X coordinate scale. |
| HalfesScaleLeftWX | Decrease Left weapon scale by **50%** of current X coordinate scale. |
| DoublesScaleLeftWY | Increase Left weapon scale by **50%** of current Y coordinate scale. |
| HalfesScaleLeftWY | Decrease Left weapon scale by **50%** of current Y coordinate scale. |
| DoublesScaleLeftWZ | Increase Left weapon scale by **50%** of current Z coordinate scale. |
| HalfesScaleLeftWZ | Decrease Left weapon scale by **50%** of current Z coordinate scale. |
| DoublesScaleLeftW | Increase Left weapon scale by **50%** of current scale. |
| HalfesScaleLeftW | Decrease Left weapon scale by **50%** of current scale. |
| NulifyScaleLeftW | Nullify the scale of the weapon by multiplying it with **0**. |
| FlipLeftW | Flips Left weapon scale by multiplying weapon scale with **-1**. |
| RemoveLeftWParticles | Removes Left weapons particle. |
| RemoveLeftWProj | Removes Left weapons projectile. |

## Technical Ability

| Items | Function |
| -- | -- |
| AlwaysTansferHP | Make all Unit Spawning component transfers current unit health to the unit spawned. (also affects transformation) |
| NeverShowHealthBar | Make unit did not show health bar at all. |
| TransformToRiderWhenTargetFarCondition | Make the base unit transform into the Rider unit when the enemy target is close. |
| TransformToRiderWhenTargetCloseCondition | Make the base unit transform into the Rider unit when the enemy target is close. |
| TransformToRider10SecondsCondition | Make the base unit transform into the Rider unit within 10 seconds. |
| TransformToRiderChronoCondition | Make the base unit transform into the Rider unit with *Chronomancer*'s condition. |
| TransformToRiderDarkKingCondition | Make the base unit transform into the Rider unit with the *Dark King*'s condition. |
| TransformToRiderWhenHealthHalfCondition | Make the base unit transform into the Rider unit when health reached **50%** of max health. |
| TransformToRiderWhenHealthQuarterCondition | Make the base unit transform into the Rider unit when health reached **25%** of max health. |
| AdaptivePirateQueenThrow | Pirate Queen's projectile ability but based on the projectile unit throws (random chances for each projectile if it has several different projectiles). |
| AdaptiveSenseiBurstThrow | Sensei's projectile ability but based on the projectile unit throws (random chances for each projectile if it has several different projectiles). |

## Credit

Mod is created and managed by **Geezt Jeez**.

## Changelogs

#### (1.0.3)

- All weapon scaling now have their specific XYZ.
- Added an item called *AlwaysTansferHP*.
- Added eye clothing that always opened.
- Added an item called *Remove Healthbar*, which is self-explanatory.

#### (1.0.2)

- Added transformation for when the unit health is below 50% and 25% health condition, and also new Pirate Queen's adaptive ability.
- Improved Sensei's adaptive throw to have better adaptive particle color.

#### (1.0.1)

- Fixed items were not saved properly due to a delay in loading.